## statsmodels 0.8.0~rc1+git59-gef47cd9

=== debian/changelog ===
statsmodels (0.8.0~rc1+git59-gef47cd9-5) unstable; urgency=medium

  * Team upload.
  * Fix test skipping for s390

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 18:33:56 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-4) unstable; urgency=medium

  * Team upload.
  * Disable test_smoke_plot_and_repr() and test_pandas() on s390x:
    probably a matplotlib bug there

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 15:38:06 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-3) unstable; urgency=medium

  * Work around a Pandas readttable bug to fix (temporary) FTBFS on i386

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 11:46:23 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Science Team maintenance (permission from
    Yaroslav Halchenko)
  * Fix index type in `reshape` to be integer. Closes: #848782

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Dec 2016 14:52:31 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-1) unstable; urgency=medium

  * Fresh upstream rc snapshot which hopefully addresses some
    outstanding FTBFS etc issues
  * debian/control
    - allow for ipython >= 5 as alternative to ipython for now,
      and also for traitlets explicitly on those newer systems
      (Closes: #843414)
    - adjusted vcs-browser (Closes: #843407)
  * debian/rules
    - skip test_plot_month test
      (see https://github.com/statsmodels/statsmodels/issues/3283)
  * debian/patches/up_3239
    - to cast index into array before sorting (Closes: #841610)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Nov 2016 19:37:43 -0500
