=== debian/control ===
Source: statsmodels
Section: python
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev, python-setuptools,
               python-numpy (>= 1:1.4.0),
               python-scipy,
               python-nose,
               python-matplotlib,
               python-pandas,
               python-joblib,
               cython,
               python-patsy,
               python-cvxopt,
Build-Depends-Indep:
               ipython (>= 5~) | ipython-notebook (>= 0.13.1) | ipython01x,
               python-traitlets | ipython-notebook (>= 0.13.1) | ipython01x,
               python-zmq,
               python-sphinx (>= 1.0.6),
               python-numpydoc,
               nodejs,
               pandoc,
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: http://statsmodels.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/statsmodels.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/statsmodels.git

Package: python-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy,
         python-scipy,
         python-statsmodels-lib (>= ${source:Version}),
         python-patsy
Recommends: python-pandas,
            python-matplotlib,
            python-nose,
            python-joblib,
            python-cvxopt,
Suggests: python-statsmodels-doc,
Provides: ${python:Provides}
Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: Python module for the estimation of statistical models
 statsmodels Python module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for six distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python-statsmodels-lib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy
Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: low-level implementations and bindings for statsmodels
 This package contains architecture dependent extensions for
 python-statsmodels.

Package: python-statsmodels-doc
Conflicts: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Replaces: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Recommends: libjs-mathjax
Suggests: python-statsmodels
Description: documentation and examples for statsmodels
 This package contains HTML documentation and example scripts for
 python-statsmodels.
