=== debian/changelog ===
statsmodels (0.8.0-6) unstable; urgency=medium

  * Build the architecture dependent files before building documentation
  * Add myself to uploaders.

 -- Diane Trout <diane@ghic.org>  Fri, 29 Sep 2017 22:17:33 -0700

statsmodels (0.8.0-5) unstable; urgency=medium

  * Team Upload

  [ Diane Trout ]
  * add sphinx-common to Build-Depends which fixes a FTBFS caused by
    Sphinxdoc.pm not being present when building binary only packages.
  * Split dh_auto_build-arch and dh_auto_build-indep targets so we only
    build the docs once.

 -- Diane Trout <diane@ghic.org>  Fri, 29 Sep 2017 16:48:20 -0700

statsmodels (0.8.0-4) unstable; urgency=medium

  * Team upload

  [ Diane Trout ]
  * Add python-dateutil, patsy, tk as build depends
    Marking nose & tk as !nocheck
  * Add Python3 support
    (Closes: #729956) (Closes: #782963) (Closes: #834495)
  * Update Python 3 build depends, add components necessary to build
    notebook examples
  * Lintian warned that Conflicts with version should probably be Breaks
  * Add use-system-inventory patch to use intersphinx inventory files from
    other Debian doc packages.
    Added those packages to the -doc package suggests list
  * Let dh_sphinxdoc manage jquery dependencies.
    Add libjs-requirejs for building notebooks.
  * Use Python 3 for documentation building, and enable building notebook
    examples as jupyter components are now available in stable.
  * Extend a python3-statsmodels-lib description to make lintian happier
  * Cleanup more files that might be generated during build
  * Exclude test_sarimax test_structural test_dynamic_factor test_varmax
    from unit testing
    Closes: #873512
  * add patch use-cached-datasets, and cache all of the get_rdataset
    datasets in debian/datasets/. This is needed so the documentation will
    build without network access.
  * Document data files needed for documentation in debian/README.source

  [ Andreas Tille ]
  * Standards-Version: 4.1.0 (no changes needed)
  * Add remark about documenting R data to debian/README.source
  * Updating d/copyright
  * DEP3

 -- Diane Trout <diane@ghic.org>  Tue, 26 Sep 2017 23:55:47 -0700

statsmodels (0.8.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: do not run the testsuite when only building arch:all packages.
    (Closes: #872603)
  * d/copyright: use https form for the copyright-format URL.
  * d/control:
    + promote the package to priority optional, per policy 4.0.1.
    + bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 19 Aug 2017 11:42:08 +0200

statsmodels (0.8.0-2) unstable; urgency=medium

  * Team upload.
  
  [ Sébastien Villemot ]
  * Upload to unstable
  * d/rules: fix logic of {build,binary}-indep for building doc.
  * d/control:
    + add missing build-dependency on dh-python.
    + promote python-pandas to a Depends. It is really needed if one wants to
      import statsmodels (and otherwise autopkgtest fails).

  [ Andreas Tille ]
  * d/p/skip_tests_failing_due_to_panda_issue.patch: new patch, removes tests
    from test suite that fail because of pandas and can not easily be fixed.
  * d/p/fix_numdocpy_issue.patch: new patch, fixes other issue with numpydoc.
    (Closes: #868977)

  [ Yaroslav Halchenko ]
  * Bump to debhelper compat level 9.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 18 Aug 2017 22:40:39 +0200

statsmodels (0.8.0-1) experimental; urgency=medium

  * Fresh upstream release resolving various compatibility issues etc
    - absborbs some of previously carried patches (dropped from quilt):
      fix_wrong_index_type.patch
      workaround_panda_readtable_bug.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Feb 2017 13:08:38 -0500
