=== debian/control ===
Source: statsmodels
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>, Diane Trout <diane@ghic.org>
Build-Depends: debhelper (>= 9),
               sphinx-common,
               python-all-dev, python-setuptools,
               python-dateutil,
               python-numpy (>= 1:1.4.0),
               python-scipy,
               python-nose <!nocheck>,
               python-matplotlib,
               python-pandas,
               python-patsy,
               python-joblib,
               cython,
               python-tk <!nocheck>,
               python-patsy,
               python-cvxopt,
               dh-python,
               cython3,
               python3-all-dev,
               python3-dateutil,
               python3-cvxopt <!nocheck>,
               python3-matplotlib,
               python3-numpy (>= 1:1.4.0),
               python3-nose,
               python3-pandas,
               python3-patsy <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-tk <!nocheck>,
               python3-joblib,
Build-Depends-Indep: ipython3 (>= 5~) <!nodoc> | ipython3-notebook (>= 0.13.1) <!nodoc>,
                     python3-nbconvert <!nodoc>,
                     python3-jupyter-client <!nodoc>,
                     python3-ipykernel <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python-patsy-doc <!nodoc>,
                     python-pandas-doc <!nodoc>,
                     python3-doc <!nodoc>,
                     python3-sphinx (>= 1.0.6) <!nodoc>,
                     python3-traitlets <!nodoc>| ipython3-notebook (>= 0.13.1)
Standards-Version: 4.1.0
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: http://statsmodels.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/statsmodels.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/statsmodels.git

Package: python-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy,
         python-scipy,
         python-statsmodels-lib (>= ${source:Version}),
         python-patsy,
         python-pandas
Recommends: python-matplotlib,
            python-joblib,
            python-cvxopt,
Suggests: python-statsmodels-doc,
Provides: ${python:Provides}
Breaks: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: Python module for the estimation of statistical models
 statsmodels Python module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for six distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python-statsmodels-lib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy
Breaks: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: low-level implementations and bindings for statsmodels
 This package contains architecture dependent extensions for
 python-statsmodels.

Package: python-statsmodels-doc
Breaks: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Replaces: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-requirejs, ${sphinxdoc:Depends}
Recommends: libjs-mathjax
Suggests: python-statsmodels,
 python3-doc,
 python-numpy-doc,
 python-patsy-doc,
 python-pandas-doc,
 python-scipy-doc,
Description: documentation and examples for statsmodels
 This package contains HTML documentation and example scripts for
 python-statsmodels.

Package: python3-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-statsmodels-lib (>= ${source:Version}),
         python3-patsy,
         python3-pandas
Recommends: python3-matplotlib,
            python3-joblib,
            python3-cvxopt,
Suggests: python-statsmodels-doc,
Provides: ${python3:Provides}
Description: Python3 module for the estimation of statistical models
 statsmodels Python3 module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for six distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python3-statsmodels-lib
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         python3-numpy
Description: Python3 low-level implementations and bindings for statsmodels
 Statsmodels is a Python module for the estimation of statistical models
 .
 This package contains architecture dependent extensions for
 python3-statsmodels.
