=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$ADTTMP" ; echo "Testing with $py:"
 ; $py -c "import statsmodels; print statsmodels"
 ; $py -c "import statsmodels.nonparametric._smoothers_lowess; print(statsmodels.nonparametric._smoothers_lowess)"
 ; done
Depends: python-all, python-statsmodels

Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$ADTTMP" ; echo "Testing with $py:"
 ; $py -c "import statsmodels; print(statsmodels)"
 ; $py -c "import statsmodels.nonparametric._smoothers_lowess; print(statsmodels.nonparametric._smoothers_lowess)"
 ; done
Depends: python3-all, python3-statsmodels
