=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/g,filenamemangle=s/.*\/(.*)/statsmodels-$1/" \
 https://github.com/statsmodels/statsmodels/tags .*archive/v([\d\.a-z]+)\.tar\.gz
